

--
Truncate table A_UserRoles_RolesOfUsers
Truncate table A_UserRoles_Roles
Truncate table A_UserRoles_RightsOfRoles
Truncate table A_UserRoles_Rights


-- 

--
Declare @id uniqueidentifier
Declare @tx nvarchar ( 100 )

set @tx = ''
Select @id=Id FROM A_USerRoles Where Name = @tx and CreationType = 0
Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination )
	Values ( 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @tx, NULL, 0 )

set @tx = ' '
Select @id=Id FROM A_USerRoles Where Name = @tx and CreationType = 0
Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination )
	Values ( '808F3270-8DC6-4F55-81DC-589326329731', @tx, NULL, 0 )

set @tx = ' call-'
Select @id=Id FROM A_USerRoles Where Name = @tx and CreationType = 0
Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination )
	Values ( '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @tx, NULL, 0 )

set @tx = ' '
Select @id=Id FROM A_USerRoles Where Name = @tx and CreationType = 0
Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination )
	Values ( 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @tx, NULL, 0 )

set @tx = ' call-'
Select @id=Id FROM A_USerRoles Where Name = @tx and CreationType = 0
Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination )
	Values ( '336899D7-2C2D-401D-B339-F9F531AC1670', @tx, NULL, 0 )

-- 
Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination )
Select Id, Name, NULL, 0 From A_UserRoles Where CreationType = 1

-- 
Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination )
Select Id, Name, NULL, 1 From A_UserRoles r Where CreationType = 2

--------------------------------------------

--  IdRole    Id 
Update ur
Set Id = up.IdUser
From A_UserRoles_Roles ur,
	A_UserParams up
Where ur.Id = up.IdRole
	and ur.Domination = 1

--    
--  
Insert into A_UserRoles_RolesOfUsers ( IdUser, IdRole )
Select IdUser, IdRole From A_UserParams

--      
Update ru
Set IdRole = r.Id
From A_UserRoles_RolesOfUsers ru,
	A_UserRoles ruold,
	A_UserRoles_Roles r
Where ruold.CreationType = 0 
	and ru.IdRole = ruold.Id
	and r.Name = ruold.Name

--   
Update ru
Set IdRole = ru.IdUser
From A_UserRoles_RolesOfUsers ru,
	A_UserRoles ruold
Where ruold.CreationType = 2
	and ru.IdRole = ruold.Id

--  
Delete 
From A_UserRoles_RolesOfUsers
Where not exists ( Select Id From A_UserRoles_Roles r Where r.Id = IdRole )

--------------------------------------------
--  
exec A_UserRoles_AddRight @id = '8891C26E-AB7A-421A-B6BB-F0ECBEB9C95D', @knot = N'1', @name = N'  ', @code = N'ExtWP'
exec A_UserRoles_AddRight @id = '7791850B-6B27-46A4-B6D7-DE551654A4A0', @knot = N'1.1', @name = N'', @code = N'ViewOffice'
exec A_UserRoles_AddRight @id = '6884DAA3-83B5-4814-9BC3-930BE9068E00', @knot = N'1.1.1', @name = N'', @code = N'ViewOfficeCabinet'
exec A_UserRoles_AddRight @id = '0CDCD2E9-C0CB-436A-B317-E44AF733E62A', @knot = N'1.1.2', @name = N' ', @code = N'ViewOfficeMyCalls'
exec A_UserRoles_AddRight @id = 'D8FFB6D1-CB04-42C9-B455-B0521757AE49', @knot = N'1.1.3', @name = N'', @code = N'ViewOfficePersonels'
exec A_UserRoles_AddRight @id = '31178F28-F047-487A-B502-FA365F6884F5', @knot = N'1.1.4', @name = N' ', @code = N'ViewOfficeClients'
exec A_UserRoles_AddRight @id = 'DA1D970A-DDDA-48C2-ADDE-84708FE00942', @knot = N'1.1.5', @name = N'', @code = N'ViewOfficeRedirect'
exec A_UserRoles_AddRight @id = '6EC18332-E2FA-4E7A-9E79-A3E226E91083', @knot = N'1.1.6', @name = N'', @code = N'ViewOfficeStatistics'
exec A_UserRoles_AddRight @id = 'EE05D2A2-5DD8-4A59-94DB-5C648E4F7749', @knot = N'1.1.7', @name = N'', @code = N'ViewOfficeScheduler'
exec A_UserRoles_AddRight @id = 'EF933657-EE75-4434-83BD-CA453050F600', @knot = N'1.2', @name = N'Call-', @code = N'ViewCallCenter'
exec A_UserRoles_AddRight @id = '08D7761B-6774-40CF-8CC2-167D75FA8151', @knot = N'1.2.1', @name = N'  ', @code = N'ViewCallCenterWorkplace'
exec A_UserRoles_AddRight @id = 'EC608983-6A3E-4728-9D1E-861823EF6F02', @knot = N'1.2.2', @name = N' ', @code = N'ViewCallCenterLists'
exec A_UserRoles_AddRight @id = '52D92B2C-0D29-42A2-B96F-60161C047672', @knot = N'1.2.3', @name = N'', @code = N'ViewCallCenterOperators'
exec A_UserRoles_AddRight @id = '904242E5-4C6F-4788-954B-73E90FB12B09', @knot = N'1.2.4', @name = N'', @code = N'ViewCallCenterProjects'
exec A_UserRoles_AddRight @id = '393A6917-7EAF-401D-90EC-406B16ECABC5', @knot = N'1.2.5', @name = N'', @code = N'ViewCallCenterReports'
exec A_UserRoles_AddRight @id = '38DEAE08-CD65-49A0-A3A0-E0D1B1DDC37F', @knot = N'1.2.6', @name = N'', @code = N'ViewCallCenterScripts'
exec A_UserRoles_AddRight @id = 'C6636056-19BC-45ED-B9D7-3867BF437B77', @knot = N'1.2.7', @name = N'', @code = N'ViewCallCenterTasks'
exec A_UserRoles_AddRight @id = '65CDBB18-026F-4BA2-A884-12EF9F9C4E49', @knot = N'1.2.8', @name = N'', @code = N'ViewCallCenterIndicators'
exec A_UserRoles_AddRight @id = '35855DCD-DEF6-4952-8066-7803E3E8F9A2', @knot = N'1.2.9', @name = N' call-', @code = N'ViewCallCenterStat'
exec A_UserRoles_AddRight @id = '9AB1C9F6-56D3-4F5F-9C44-534B27C24172', @knot = N'1.2.10', @name = N'', @code = N'ViewCallCenterResources'
exec A_UserRoles_AddRight @id = '4D8C1FE8-FBFA-4178-A16B-BD58F6C21CF6', @knot = N'1.2.11', @name = N' ', @code = N'ViewCallCenterControlEvents'
exec A_UserRoles_AddRight @id = 'FD5F030E-B610-41FB-96AB-DC20FC2C73CD', @knot = N'1.3', @name = N' ', @code = N'ViewPlugins'
exec A_UserRoles_AddRight @id = '5DF60056-EE2C-4FB9-8705-A5C9C2D4FF25', @knot = N'1.4', @name = N'', @code = N'ViewAdmin'
exec A_UserRoles_AddRight @id = 'B1B05D65-9BE6-4949-93E9-5FE1B0319688', @knot = N'1.4.1', @name = N' ', @code = N'ViewAdminInnerNumbers'
exec A_UserRoles_AddRight @id = '174300AE-4347-4B40-98D4-C5B8E36A676F', @knot = N'1.4.2', @name = N'', @code = N'ViewAdminLines'
exec A_UserRoles_AddRight @id = 'B4A7A975-DE50-472C-AD1F-A71B75DCD6B2', @knot = N'1.4.3', @name = N' ', @code = N'ViewAdminMobileMasks'
exec A_UserRoles_AddRight @id = '47AB738F-5BAC-4F94-A27D-9843717E6671', @knot = N'1.4.4', @name = N' ', @code = N'ViewAdminMobileStatistics'
exec A_UserRoles_AddRight @id = '735091DF-6D83-4DDA-AB58-511822132FDB', @knot = N'1.4.5', @name = N'', @code = N'ViewAdminMonitoring'
exec A_UserRoles_AddRight @id = '718AF01F-B2D3-457E-A7F4-7F16B662AC85', @knot = N'1.4.6', @name = N' ', @code = N'ViewAdminOfficeMap'
exec A_UserRoles_AddRight @id = '03CE53D5-DAEE-4049-9E38-B387BEB934D8', @knot = N'1.4.7', @name = N'', @code = N'ViewAdminRights'
exec A_UserRoles_AddRight @id = '65D576AE-D278-4087-AA83-1EC67A3FED7A', @knot = N'1.4.8', @name = N'', @code = N'ViewAdminScripts'
exec A_UserRoles_AddRight @id = '67D275C3-0803-4420-AFA2-340AF2C8E207', @knot = N'1.4.9', @name = N' (  )', @code = N'ViewAdminSettings'
exec A_UserRoles_AddRight @id = '453B7939-F53E-434D-8BBB-0C050F1DD608', @knot = N'1.4.10', @name = N'', @code = N'ViewAdminUsers'
exec A_UserRoles_AddRight @id = '5C2B0699-D9C2-4113-B333-8F79D440FC0D', @knot = N'1.4.11', @name = N'  (plugins)', @code = N'ViewAdminPlugins'
exec A_UserRoles_AddRight @id = '7A46B733-8683-42A3-746A-3841D684A15F', @knot = N'2', @name = N' ', @code = N'Other'
exec A_UserRoles_AddRight @id = 'EB643430-0BC2-4AF0-A87A-A8CC66C37743', @knot = N'2.1', @name = N' c ', @code = N'ShowSpecialScripts'
exec A_UserRoles_AddRight @id = 'BAEE8735-5E17-4F26-A975-B0F4CB015BCB', @knot = N'2.2', @name = N'   ', @code = N'CanDeleteRecords'
exec A_UserRoles_AddRight @id = '1D9FF448-2EAB-4014-9994-ABE900D18989', @knot = N'2.3', @name = N'    all-', @code = N'CanEditReports'
exec A_UserRoles_AddRight @id = '7E505DFD-A04B-4152-BB25-9F39CB6C1FF6', @knot = N'2.4', @name = N'   call-', @code = N'CanEditIndicators'
exec A_UserRoles_AddRight @id = 'A852CD4E-FD36-4E0D-9163-F4B846A6B139', @knot = N'2.5', @name = N'   ', @code = N'ViewSvcTasks'
exec A_UserRoles_AddRight @id = '2AF4116B-C3E5-4B0E-986C-AF793511EF90', @knot = N'2.6', @name = N'   ', @code = N'CanUseACM'
exec A_UserRoles_AddRight @id = 'B55139F1-E2C1-4867-B0AB-6A385172854C', @knot = N'2.7', @name = N'  ', @code = N'CanUseMessagingOut'
exec A_UserRoles_AddRight @id = '302721BA-C3FD-4072-B1D7-7C73F2EB5E84', @knot = N'2.8', @name = N'  -', @code = N'CanUseFax'
exec A_UserRoles_AddRight @id = 'E42D6ACA-7A96-4E1C-A7B3-015841961206', @knot = N'2.9', @name = N'    ', @code = N'ShowPhoneInDialogCards'
exec A_UserRoles_AddRight @id = '1D6775CD-C7B1-4544-84AA-0BB41C3251F8', @knot = N'2.10', @name = N'    ', @code = N'CanWatchScreenShot'
exec A_UserRoles_AddRight @id = '2985CCE1-A45E-4FF8-987D-E8588B943192', @knot = N'2.11', @name = N' "-"', @code = N'AntiScreenShot'

--------------------------------------------
--     

--  
exec A_UserRoles_SaveRole @id = '808F3270-8DC6-4F55-81DC-589326329731', @name = N' ', @baserole = NULL, @domination = 0
exec A_UserRoles_RemoveAllRightsFromRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731'
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = '7791850B-6B27-46A4-B6D7-DE551654A4A0', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = '6884DAA3-83B5-4814-9BC3-930BE9068E00', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = '0CDCD2E9-C0CB-436A-B317-E44AF733E62A', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = 'D8FFB6D1-CB04-42C9-B455-B0521757AE49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = '31178F28-F047-487A-B502-FA365F6884F5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = 'DA1D970A-DDDA-48C2-ADDE-84708FE00942', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = '6EC18332-E2FA-4E7A-9E79-A3E226E91083', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '808F3270-8DC6-4F55-81DC-589326329731', @idright = 'EE05D2A2-5DD8-4A59-94DB-5C648E4F7749', @value = 1

exec A_UserRoles_SaveRole @id = '336899D7-2C2D-401D-B339-F9F531AC1670', @name = N' call-', @baserole = NULL, @domination = 0
exec A_UserRoles_RemoveAllRightsFromRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670'
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = '7791850B-6B27-46A4-B6D7-DE551654A4A0', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = '6884DAA3-83B5-4814-9BC3-930BE9068E00', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = '0CDCD2E9-C0CB-436A-B317-E44AF733E62A', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = 'D8FFB6D1-CB04-42C9-B455-B0521757AE49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = '31178F28-F047-487A-B502-FA365F6884F5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = 'DA1D970A-DDDA-48C2-ADDE-84708FE00942', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = '6EC18332-E2FA-4E7A-9E79-A3E226E91083', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = 'EE05D2A2-5DD8-4A59-94DB-5C648E4F7749', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = 'EF933657-EE75-4434-83BD-CA453050F600', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670', @idright = '08D7761B-6774-40CF-8CC2-167D75FA8151', @value = 1

exec A_UserRoles_SaveRole @id = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @name = N' call-', @baserole = NULL, @domination = 0
exec A_UserRoles_RemoveAllRightsFromRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5'
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '7791850B-6B27-46A4-B6D7-DE551654A4A0', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '6884DAA3-83B5-4814-9BC3-930BE9068E00', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '0CDCD2E9-C0CB-436A-B317-E44AF733E62A', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = 'D8FFB6D1-CB04-42C9-B455-B0521757AE49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '31178F28-F047-487A-B502-FA365F6884F5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = 'DA1D970A-DDDA-48C2-ADDE-84708FE00942', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '6EC18332-E2FA-4E7A-9E79-A3E226E91083', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = 'EE05D2A2-5DD8-4A59-94DB-5C648E4F7749', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = 'EF933657-EE75-4434-83BD-CA453050F600', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '08D7761B-6774-40CF-8CC2-167D75FA8151', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '52D92B2C-0D29-42A2-B96F-60161C047672', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '393A6917-7EAF-401D-90EC-406B16ECABC5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '65CDBB18-026F-4BA2-A884-12EF9F9C4E49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '9AB1C9F6-56D3-4F5F-9C44-534B27C24172', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '4D8C1FE8-FBFA-4178-A16B-BD58F6C21CF6', @value = 1
exec A_UserRoles_AddRightForRole @idrole = '5B18B548-10C0-4C7D-80D1-501669A1F7F5', @idright = '35855DCD-DEF6-4952-8066-7803E3E8F9A2', @value = 1

exec A_UserRoles_SaveRole @id = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @name = N' ', @baserole = NULL, @domination = 0
exec A_UserRoles_RemoveAllRightsFromRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8'
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '7791850B-6B27-46A4-B6D7-DE551654A4A0', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '6884DAA3-83B5-4814-9BC3-930BE9068E00', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '0CDCD2E9-C0CB-436A-B317-E44AF733E62A', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = 'D8FFB6D1-CB04-42C9-B455-B0521757AE49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '31178F28-F047-487A-B502-FA365F6884F5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = 'DA1D970A-DDDA-48C2-ADDE-84708FE00942', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '6EC18332-E2FA-4E7A-9E79-A3E226E91083', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = 'EE05D2A2-5DD8-4A59-94DB-5C648E4F7749', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = 'EF933657-EE75-4434-83BD-CA453050F600', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '08D7761B-6774-40CF-8CC2-167D75FA8151', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '52D92B2C-0D29-42A2-B96F-60161C047672', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '393A6917-7EAF-401D-90EC-406B16ECABC5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '65CDBB18-026F-4BA2-A884-12EF9F9C4E49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '9AB1C9F6-56D3-4F5F-9C44-534B27C24172', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '4D8C1FE8-FBFA-4178-A16B-BD58F6C21CF6', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '35855DCD-DEF6-4952-8066-7803E3E8F9A2', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '904242E5-4C6F-4788-954B-73E90FB12B09', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = 'EC608983-6A3E-4728-9D1E-861823EF6F02', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = '38DEAE08-CD65-49A0-A3A0-E0D1B1DDC37F', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8', @idright = 'C6636056-19BC-45ED-B9D7-3867BF437B77', @value = 1

exec A_UserRoles_SaveRole @id = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @name = N'', @baserole = NULL, @domination = 0
exec A_UserRoles_RemoveAllRightsFromRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12'
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '8891C26E-AB7A-421A-B6BB-F0ECBEB9C95D', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '7791850B-6B27-46A4-B6D7-DE551654A4A0', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '6884DAA3-83B5-4814-9BC3-930BE9068E00', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '0CDCD2E9-C0CB-436A-B317-E44AF733E62A', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'D8FFB6D1-CB04-42C9-B455-B0521757AE49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '31178F28-F047-487A-B502-FA365F6884F5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'DA1D970A-DDDA-48C2-ADDE-84708FE00942', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '6EC18332-E2FA-4E7A-9E79-A3E226E91083', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'EE05D2A2-5DD8-4A59-94DB-5C648E4F7749', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'EF933657-EE75-4434-83BD-CA453050F600', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '08D7761B-6774-40CF-8CC2-167D75FA8151', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'EC608983-6A3E-4728-9D1E-861823EF6F02', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '52D92B2C-0D29-42A2-B96F-60161C047672', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '904242E5-4C6F-4788-954B-73E90FB12B09', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '393A6917-7EAF-401D-90EC-406B16ECABC5', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '38DEAE08-CD65-49A0-A3A0-E0D1B1DDC37F', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'C6636056-19BC-45ED-B9D7-3867BF437B77', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '65CDBB18-026F-4BA2-A884-12EF9F9C4E49', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '35855DCD-DEF6-4952-8066-7803E3E8F9A2', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '9AB1C9F6-56D3-4F5F-9C44-534B27C24172', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '4D8C1FE8-FBFA-4178-A16B-BD58F6C21CF6', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'FD5F030E-B610-41FB-96AB-DC20FC2C73CD', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '5DF60056-EE2C-4FB9-8705-A5C9C2D4FF25', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'B1B05D65-9BE6-4949-93E9-5FE1B0319688', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '174300AE-4347-4B40-98D4-C5B8E36A676F', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'B4A7A975-DE50-472C-AD1F-A71B75DCD6B2', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '47AB738F-5BAC-4F94-A27D-9843717E6671', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '735091DF-6D83-4DDA-AB58-511822132FDB', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '718AF01F-B2D3-457E-A7F4-7F16B662AC85', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '03CE53D5-DAEE-4049-9E38-B387BEB934D8', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '65D576AE-D278-4087-AA83-1EC67A3FED7A', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '67D275C3-0803-4420-AFA2-340AF2C8E207', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '453B7939-F53E-434D-8BBB-0C050F1DD608', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '5C2B0699-D9C2-4113-B333-8F79D440FC0D', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '7A46B733-8683-42A3-746A-3841D684A15F', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'EB643430-0BC2-4AF0-A87A-A8CC66C37743', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'BAEE8735-5E17-4F26-A975-B0F4CB015BCB', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '1D9FF448-2EAB-4014-9994-ABE900D18989', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '7E505DFD-A04B-4152-BB25-9F39CB6C1FF6', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'A852CD4E-FD36-4E0D-9163-F4B846A6B139', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '2AF4116B-C3E5-4B0E-986C-AF793511EF90', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'B55139F1-E2C1-4867-B0AB-6A385172854C', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '302721BA-C3FD-4072-B1D7-7C73F2EB5E84', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = 'E42D6ACA-7A96-4E1C-A7B3-015841961206', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '1D6775CD-C7B1-4544-84AA-0BB41C3251F8', @value = 1
exec A_UserRoles_AddRightForRole @idrole = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12', @idright = '2985CCE1-A45E-4FF8-987D-E8588B943192', @value = 1

--          Id
Declare @T Table ( Id uniqueidentifier, rKey Int )

Insert into @T ( Id, rKey ) Values ( '8891C26E-AB7A-421A-B6BB-F0ECBEB9C95D', 1 )
Insert into @T ( Id, rKey ) Values ( '7791850B-6B27-46A4-B6D7-DE551654A4A0', 100 )
Insert into @T ( Id, rKey ) Values ( '6884DAA3-83B5-4814-9BC3-930BE9068E00', 105 )
Insert into @T ( Id, rKey ) Values ( '0CDCD2E9-C0CB-436A-B317-E44AF733E62A', 103 )
Insert into @T ( Id, rKey ) Values ( 'D8FFB6D1-CB04-42C9-B455-B0521757AE49', 101 )
Insert into @T ( Id, rKey ) Values ( '31178F28-F047-487A-B502-FA365F6884F5', 104 )
Insert into @T ( Id, rKey ) Values ( 'DA1D970A-DDDA-48C2-ADDE-84708FE00942', 106 )
Insert into @T ( Id, rKey ) Values ( '6EC18332-E2FA-4E7A-9E79-A3E226E91083', 102 )
Insert into @T ( Id, rKey ) Values ( 'EE05D2A2-5DD8-4A59-94DB-5C648E4F7749', 107 )

Insert into @T ( Id, rKey ) Values ( 'EF933657-EE75-4434-83BD-CA453050F600', 200 )
Insert into @T ( Id, rKey ) Values ( '08D7761B-6774-40CF-8CC2-167D75FA8151', 211 )
Insert into @T ( Id, rKey ) Values ( 'EC608983-6A3E-4728-9D1E-861823EF6F02', 203 )
Insert into @T ( Id, rKey ) Values ( '52D92B2C-0D29-42A2-B96F-60161C047672', 201 )
Insert into @T ( Id, rKey ) Values ( '904242E5-4C6F-4788-954B-73E90FB12B09', 202 )
Insert into @T ( Id, rKey ) Values ( '393A6917-7EAF-401D-90EC-406B16ECABC5', 210 )
Insert into @T ( Id, rKey ) Values ( '38DEAE08-CD65-49A0-A3A0-E0D1B1DDC37F', 204 )
Insert into @T ( Id, rKey ) Values ( 'C6636056-19BC-45ED-B9D7-3867BF437B77', 205 )
Insert into @T ( Id, rKey ) Values ( '65CDBB18-026F-4BA2-A884-12EF9F9C4E49', 208 )
Insert into @T ( Id, rKey ) Values ( '35855DCD-DEF6-4952-8066-7803E3E8F9A2', 209 )
Insert into @T ( Id, rKey ) Values ( '9AB1C9F6-56D3-4F5F-9C44-534B27C24172', 207 )
Insert into @T ( Id, rKey ) Values ( '4D8C1FE8-FBFA-4178-A16B-BD58F6C21CF6', 206 )

Insert into @T ( Id, rKey ) Values ( 'FD5F030E-B610-41FB-96AB-DC20FC2C73CD', 300 )

Insert into @T ( Id, rKey ) Values ( '5DF60056-EE2C-4FB9-8705-A5C9C2D4FF25', 400 )
Insert into @T ( Id, rKey ) Values ( 'B1B05D65-9BE6-4949-93E9-5FE1B0319688', 405 )
Insert into @T ( Id, rKey ) Values ( '174300AE-4347-4B40-98D4-C5B8E36A676F', 403 )
Insert into @T ( Id, rKey ) Values ( 'B4A7A975-DE50-472C-AD1F-A71B75DCD6B2', 410 )
Insert into @T ( Id, rKey ) Values ( '47AB738F-5BAC-4F94-A27D-9843717E6671', 411 )
Insert into @T ( Id, rKey ) Values ( '735091DF-6D83-4DDA-AB58-511822132FDB', 409 )
Insert into @T ( Id, rKey ) Values ( '718AF01F-B2D3-457E-A7F4-7F16B662AC85', 402 )
Insert into @T ( Id, rKey ) Values ( '03CE53D5-DAEE-4049-9E38-B387BEB934D8', 404 )
Insert into @T ( Id, rKey ) Values ( '65D576AE-D278-4087-AA83-1EC67A3FED7A', 408 )
Insert into @T ( Id, rKey ) Values ( '67D275C3-0803-4420-AFA2-340AF2C8E207', 407 )
Insert into @T ( Id, rKey ) Values ( '453B7939-F53E-434D-8BBB-0C050F1DD608', 401 )
Insert into @T ( Id, rKey ) Values ( '5C2B0699-D9C2-4113-B333-8F79D440FC0D', 412 )

Insert into @T ( Id, rKey ) Values ( 'EB643430-0BC2-4AF0-A87A-A8CC66C37743', 3 )
Insert into @T ( Id, rKey ) Values ( 'BAEE8735-5E17-4F26-A975-B0F4CB015BCB', 2 )
Insert into @T ( Id, rKey ) Values ( '1D9FF448-2EAB-4014-9994-ABE900D18989', 4 )
Insert into @T ( Id, rKey ) Values ( '7E505DFD-A04B-4152-BB25-9F39CB6C1FF6', 5 )
Insert into @T ( Id, rKey ) Values ( 'A852CD4E-FD36-4E0D-9163-F4B846A6B139', 6 )
Insert into @T ( Id, rKey ) Values ( '2AF4116B-C3E5-4B0E-986C-AF793511EF90', 7 )
Insert into @T ( Id, rKey ) Values ( 'B55139F1-E2C1-4867-B0AB-6A385172854C', 8 )
Insert into @T ( Id, rKey ) Values ( '302721BA-C3FD-4072-B1D7-7C73F2EB5E84', 9 )
Insert into @T ( Id, rKey ) Values ( 'E42D6ACA-7A96-4E1C-A7B3-015841961206', 10 )
Insert into @T ( Id, rKey ) Values ( '1D6775CD-C7B1-4544-84AA-0BB41C3251F8', 11 )
Insert into @T ( Id, rKey ) Values ( '2985CCE1-A45E-4FF8-987D-E8588B943192', 12 )

-- , 

--   ,          ,    0 
Declare @t2 table ( Id uniqueidentifier, rKey int, rVal bit )
Insert into @t2 ( Id, rKey, rVal )
Select r.Id, t.rKey, 0
From A_UserRoles_Roles r 
	Cross join @T t

--     -     - 
Delete From @t2 Where Id = '5B18B548-10C0-4C7D-80D1-501669A1F7F5'
Delete From @t2 Where Id = '808F3270-8DC6-4F55-81DC-589326329731'
Delete From @t2 Where Id = 'EA781817-AFB2-4ABF-A7B9-C2479A222BA8'
Delete From @t2 Where Id = 'C39D1C39-A413-42B7-BA83-DBEE9FA5FB12'
Delete From @t2 Where Id = '336899D7-2C2D-401D-B339-F9F531AC1670'

--  .  1 ,     
Update t2
Set rVal = 1
FROM @t2 t2,
	A_UserRolesExt re
Where t2.Id = re.IdRole
	and re.rValue = 1

--  .  1 ,     
Update t2 
Set rVal = 1
From @t2 t2,
	A_UserParams up,
	A_UserRolesExt re
Where t2.Id = up.IdUser 
	and up.IdRole = re.IdRole
	and re.rValue = 1
	and re.rKey = t2.rKey

--     
Insert into A_UserRoles_RightsOfRoles ( IdRole, IdRight, Value )
Select t2.Id, t.Id, t2.rVal
From @t2 t2
	Inner join @t t on t2.rKey = t.rKey

--------------------------------------------

--select * from A_UserRoles_Rights
--select * from A_UserRoles_Roles
--select * from A_UserRoles_RolesOfUsers
--select * from A_UserRoles_RightsOfRoles
GO
