
if exists ( select * from master..sysdatabases where name like 'oktell_cc_temp' )
    if not exists (select * from oktell_cc_temp.dbo.sysindexes where name = N'idxCubeOperatorStates_IdEffort_IdOperator' and id = object_id(N'oktell_cc_temp.[dbo].[A_Cube_CC_OperatorStates]'))
	CREATE  INDEX [idxCubeOperatorStates_IdEffort_IdOperator] ON oktell_cc_temp.[dbo].[A_Cube_CC_OperatorStates]
	(
	   [IdEffort], [IdOperator]
	) WITH  FILLFACTOR = 80 ON [PRIMARY]
GO


if exists ( select * from sysobjects where name like 'A_CallCenter_Temp_CreateTableIndexes' )
	Drop procedure dbo.A_CallCenter_Temp_CreateTableIndexes
GO

Create procedure dbo.A_CallCenter_Temp_CreateTableIndexes
as
begin
	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_DateTimeStart' )
	CREATE CLUSTERED INDEX idxCubeConnections_DateTimeStart ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		DateTimeStart
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_DTStart' )
	CREATE NONCLUSTERED INDEX idxCubeConnections_DTStart ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		DateStart,
		TimeStart
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_DateTimeStop' )
	CREATE NONCLUSTERED INDEX idxCubeConnections_DateTimeStop ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		DateTimeStop
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_IdConn' )
	CREATE NONCLUSTERED INDEX idxCubeConnections_IdConn ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		IdConn
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_IdChain' )
	CREATE NONCLUSTERED INDEX idxCubeConnections_IdChain ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		IdChain
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_IdTask' )
	CREATE NONCLUSTERED INDEX idxCubeConnections_IdTask ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		IdTask
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_IdOperator' )
	CREATE NONCLUSTERED INDEX idxCubeConnections_IdOperator ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		IdOperator
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_EffortConnections') and name = 'idxCubeConnections_IdProject' )
	CREATE NONCLUSTERED INDEX idxCubeConnections_IdProject ON oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	(
		IdProject
	) WITH FILLFACTOR = 80





	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_OperatorStates') and name = 'idxCubeOperatorStates_DateTimeStart' )
	CREATE NONCLUSTERED INDEX idxCubeOperatorStates_DateTimeStart ON oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	(
		DateTimeStart
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_OperatorStates') and name = 'idxCubeOperatorStates_DTStart' )
	CREATE NONCLUSTERED INDEX idxCubeOperatorStates_DTStart ON oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	(
		DateStart,
		TimeStart
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_OperatorStates') and name = 'idxCubeOperatorStates_DateTimeStop' )
	CREATE NONCLUSTERED INDEX idxCubeOperatorStates_DateTimeStop ON oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	(
		DateTimeStop
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_OperatorStates') and name = 'idxCubeOperatorStates_IdOperator' )
	CREATE NONCLUSTERED INDEX idxCubeOperatorStates_IdOperator ON oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	(
		IdOperator
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_OperatorStates') and name = 'idxCubeOperatorStates_IdTask' )
	CREATE NONCLUSTERED INDEX idxCubeOperatorStates_IdTask ON oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	(
		IdTask
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_OperatorStates') and name = 'idxCubeOperatorStates_CallResult' )
	CREATE NONCLUSTERED INDEX idxCubeOperatorStates_CallResult ON oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	(
		CallResult
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_OperatorStates') and name = 'idxCubeOperatorStates_State' )
	CREATE NONCLUSTERED INDEX idxCubeOperatorStates_State ON oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	(
		State
	) WITH FILLFACTOR = 80


        if not exists ( select * from oktell_cc_temp.dbo.sysindexes where name = N'idxCubeOperatorStates_IdEffort_IdOperator' and id = object_id(N'oktell_cc_temp.[dbo].[A_Cube_CC_OperatorStates]'))
	CREATE NONCLUSTERED INDEX [idxCubeOperatorStates_IdEffort_IdOperator] ON oktell_cc_temp.[dbo].[A_Cube_CC_OperatorStates]
	(
	   [IdEffort], [IdOperator]
	) WITH  FILLFACTOR = 80





	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_CallQueue') and name = 'idxCubeQueue_DateTimeStart' )
	CREATE CLUSTERED INDEX idxCubeQueue_DateTimeStart ON oktell_cc_temp.dbo.A_Cube_CC_CallQueue
	(
		DateTimeStart
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_CallQueue') and name = 'idxCubeQueue_DTStart' )
	CREATE NONCLUSTERED INDEX idxCubeQueue_DTStart ON oktell_cc_temp.dbo.A_Cube_CC_CallQueue
	(
		DateStart,
		TimeStart
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_CallQueue') and name = 'idxCubeQueue_DateTimeStop' )
	CREATE NONCLUSTERED INDEX idxCubeQueue_DateTimeStop ON oktell_cc_temp.dbo.A_Cube_CC_CallQueue
	(
		DateTimeStart
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_CallQueue') and name = 'idxCubeQueue_IdTask' )
	CREATE NONCLUSTERED INDEX idxCubeQueue_IdTask ON oktell_cc_temp.dbo.A_Cube_CC_CallQueue
	(
		IdTask
	) WITH FILLFACTOR = 80


	if not exists ( select name from oktell_cc_temp..sysindexes where id=object_id('oktell_cc_temp.dbo.A_Cube_CC_CallQueue') and name = 'idxCubeQueue_IdProject' )
	CREATE NONCLUSTERED INDEX idxCubeQueue_IdProject ON oktell_cc_temp.dbo.A_Cube_CC_CallQueue
	(
		IdProject
	) WITH FILLFACTOR = 80

end
GO
