if exists ( Select * FROM sysobjects where id=object_id ( 'dbo.A_DB_FreeAll' ))
	Drop procedure dbo.A_DB_FreeAll
GO


Create PROCEDURE [dbo].[A_DB_FreeAll] 
	@clearsettings bit = 0
As
Begin
	declare @llname nvarchar ( 1000 )
	declare @sql nvarchar ( 500 )

	---------------------------------------------
	---    --------------
	---------------------------------------------
	DECLARE tcursor CURSOR FOR 
		Select name  From sysobjects 
		Where type = 'U' and 
			( name like 'A_TaskManager_LocalList%' or 
			name like 'dbo.A_TaskManager_dIdx%' or
			name like 'dbo.A_TaskManager_Idx%' )

	OPEN tcursor
	FETCH NEXT From tcursor INTO @llname

	WHILE @@FETCH_STATUS = 0
	BEGIN
		set @llname = 'dbo.[' + @llname + ']'
		set @sql = ' DROP TABLE ' + @llname
		exec sp_executesql @stmt =@sql
	
		FETCH NEXT From tcursor INTO @llname
	END

	CLOSE tcursor
	DEALLOCATE tcursor

	---------------------------------------------
	---    oktell --------------
	---------------------------------------------
	DECLARE tcursor CURSOR FOR 
		Select name  From sysobjects 
		Where type = 'U' and 
			( name like 'A_%' or 
			name like 'dbo.C_%' )

	OPEN tcursor
	FETCH NEXT From tcursor INTO @llname

	WHILE @@FETCH_STATUS = 0
	BEGIN
		set @llname = 'dbo.[' + @llname + ']'
		set @sql = ' exec A_DB_ClearConstraintsAll ''' + @llname + '''' + 
			' TRUNCATE TABLE ' + @llname
		--print @sql
		exec sp_executesql @stmt =@sql
		
		FETCH NEXT From tcursor INTO @llname
	END

	CLOSE tcursor
	DEALLOCATE tcursor

	/*
	if ( @clearsettings = 1 ) begin	
		---------------------------------------------
		---    oktell_settings -----
		---------------------------------------------
		DECLARE tcursor CURSOR FOR 
			Select name  From oktell_settings..sysobjects 
			Where type = 'U' and 
				( name like 'A_%' or 
				name like 'dbo.C_%' )

		OPEN tcursor
		FETCH NEXT From tcursor INTO @llname

		WHILE @@FETCH_STATUS = 0
		BEGIN
			set @llname = 'oktell_settings.dbo.[' + @llname + ']'
			set @sql = ' TRUNCATE TABLE ' + @llname
			--print @sql
			exec sp_executesql @stmt =@sql
		
			FETCH NEXT From tcursor INTO @llname
		END

		CLOSE tcursor
		DEALLOCATE tcursor
	end
	*/
	
	---------------------------------------------
	---------------------------------------------
End
GO