/****** Object:  StoredProcedure [dbo].[A_Stat_Office_Diagramm_CallTime]    Script Date: 12/15/2011 12:06:52 ******/
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[A_Stat_Office_Diagramm_CallTime]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[A_Stat_Office_Diagramm_CallTime]
GO

CREATE  procedure [dbo].[A_Stat_Office_Diagramm_CallTime]
	@iduser uniqueidentifier,
	@dstart datetime,
	@dstop datetime,
	@tstart datetime,
	@tstop datetime,
	@lentime datetime,
	@taskid uniqueidentifier = null,
	@fromcc bit = null,
	@operatorid uniqueidentifier = null,
	@innerprefix nvarchar ( 100 ) = null,
	@outnumber nvarchar ( 100 ) = null,
	@conntype int = -1,
	@mode int,
	@comment nvarchar (4000) = NULL
as

begin
-- .  " "


-- ---------------------------------------------------
--declare
--	@iduser uniqueidentifier,
--	@dstart datetime,
--	@dstop datetime,
--	@tstart datetime,
--	@tstop datetime,
--	@lentime datetime,
--	@taskid uniqueidentifier,
--	@fromcc bit,
--	@operatorid uniqueidentifier,
--	@innerprefix nvarchar ( 100 ),
--	@outnumber nvarchar ( 100 ),
--	@conntype int,
--	@mode int,
--	@comment nvarchar (4000) 
	
----select 	@iduser='08BADA93-618D-4493-A7DC-112E39C1D5B9',
----		@dstart='2011-12-1 00:00:00',
----		@dstop='2011-12-13 23:59:59.963',
----		@tstart='2006-07-26 08:00:00',
----		@tstop='2006-07-26 20:00:00',
----		@lentime='2006-07-26 00:00:01',
----		@fromcc=0,
----		@conntype=-1,
----		@comment=N'',
----		@mode=0

--select 	@iduser='08BADA93-618D-4493-A7DC-112E39C1D5B9',
--@dstart='2011-12-12 00:00:00',@dstop='2011-12-13 23:59:59.963',
--@tstart='2006-07-26 00:00:00',@tstop='2006-07-26 23:59:59',
--@lentime='2006-07-26 00:00:01',@fromcc=1,@conntype=-1,@comment=N'',@mode=5

--------------------------------------------------------------------


	if not exists ( Select * From tempdb..sysobjects where id = object_id('tempdb..#tempstatistics') )
		Select top 0 * into #tempstatistics From A_Stat_Connections_1x1
	else
		delete From #tempstatistics
		
	Insert into #tempstatistics 
	Exec A_Stat_Service_FillTempByFilter
		@iduser,
		@dstart,
		@dstop,
		@tstart,
		@tstop,
		@lentime,
		@taskid,
		@fromcc,
		@operatorid,
		@innerprefix,
		@outnumber,
		@conntype,
		0, -- dont show conf
		@comment

	--EStatisticsViewMode.svmByDay:
	if ( @mode = 0 )
 		begin						
			if not exists ( Select * From tempdb..sysobjects where id = object_id('tempdb..#tempstatisticsYMDdate') ) 
				Select top 0 Year( Timestart ) y, Month ( TimeStart ) m, Day ( TimeStart ) D, TimeStop - TimeAnswer length 
				into #tempstatisticsYMDdate 
				From A_Stat_Connections_1x1
			else
				delete From #tempstatisticsYMDdate

			--  
			declare @tempdate datetime
			set @tempdate = @dstart
			
			while (@tempdate<@dstop)
			begin
			insert into #tempstatistics (id,timestart,TimeStop, TimeAnswer) --
			values (newid(),@tempdate,@tempdate,@tempdate)
			set @tempdate = dateadd(dd,1,@tempdate)
			end
			
			insert into #tempstatisticsYMDdate
				Select	Year( Timestart ) y, 
						Month ( TimeStart ) m, 
						Day ( TimeStart ) D, 
						Cast ( sum ( CAST ( TimeStop - TimeAnswer as float ) ) as DateTime ) length
				From #tempstatistics
				Group By Year( Timestart ), Month ( TimeStart ), Day ( TimeStart )

			Select y, m, d, 
			( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) H, 
			DatePart ( mi, length ) MI, 
			DatePart ( ss, length ) S, 
			DatePart ( ms, length ) MS,
			cast(( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) as nvarchar(4)) + 
			substring(convert(nvarchar(8),length,108), 3, 6) as Label
			From #tempstatisticsYMDdate
			Order by y,m,d
			
			delete From #tempstatisticsYMDdate										
		end

	--EStatisticsViewMode.svmByHour:
	else if ( @mode = 1 )
		begin
			if not exists ( Select * From tempdb..sysobjects where id = object_id('tempdb..#tempstatisticsYMDHdate') )
				Select top 0 DatePart ( hh, TimeStart ) Hstart, TimeStop - TimeAnswer length 
				into #tempstatisticsYMDHdate 
				From A_Stat_Connections_1x1
			else
				delete From #tempstatisticsYMDHdate

			--  
			declare @temptime datetime
			set @temptime = @tstart
			
			while (@temptime<@tstop)
			begin
			insert into #tempstatistics (id,timestart,TimeStop, TimeAnswer) --
			values (newid(),@temptime,@temptime,@temptime)
			set @temptime = dateadd(hh,1,@temptime)
			end

--select * from #tempstatistics
--select * from #tempstatisticsYMDdate

			insert into #tempstatisticsYMDHdate
				Select DatePart ( hh, TimeStart ) Hstart, Cast ( sum ( CAST ( TimeStop - TimeAnswer as float ) ) as DateTime ) length
				From #tempstatistics
				Group By DatePart ( hh, TimeStart )



			Select Hstart, 
			( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) H, 
			DatePart ( mi, length ) MI, 
			DatePart ( ss, length ) S, 
			DatePart ( ms, length ) MS,
			cast(( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) as nvarchar(4)) + 
			substring(convert(nvarchar(8),length,108), 3, 6) as Label
			From #tempstatisticsYMDHdate
			order by Hstart

			delete From #tempstatisticsYMDHdate
		end

	--EStatisticsViewMode.svmByOperator:
	else if ( @mode = 2 )
		begin			
			Select uid, 
			( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) H, 
			DatePart ( mi, length ) MI, 
			DatePart ( ss, length ) S, 
			DatePart ( ms, length ) MS,
			cast(( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) as nvarchar(4)) + 
			substring(convert(nvarchar(8),length,108), 3, 6) as Label
			From
			(
				Select uid, Cast ( sum ( CAST ( TimeStop - TimeAnswer as float ) ) as DateTime ) length From
				(
					Select AUserId as uid, TimeAnswer, TimeStop
					From #tempstatistics
					Where AUserId != 'AB000000-0000-0000-0000-000000000000'
	
					Union all
	
					Select BUserId as uid, TimeAnswer, TimeStop
					From #tempstatistics
					Where BUserId != 'AB000000-0000-0000-0000-000000000000'
				)a
				Group by uid
			)b			
		end

	--EStatisticsViewMode.svmByLine:
	else if ( @mode = 3 )
		begin														
			declare @lines table ( lineid uniqueidentifier, caption nvarchar ( 100 ) collate database_default )
			insert into @lines (lineid, caption)
				Select id, caption From A_View_ServerLinesAll


			Select linenum + case when (( not l.caption is NULL ) and ( l.caption != '' )) then ', ' + l.caption else '' end as linenum,
				( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) H, 
				DatePart ( mi, length ) MI, 
				DatePart ( ss, length ) S, 
				DatePart ( ms, length ) MS,
			cast(( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) as nvarchar(4)) + 
			substring(convert(nvarchar(8),length,108), 3, 6) as Label
			From
			(
				Select lineid, linenum, Cast ( sum ( CAST ( TimeStop - TimeAnswer as float ) ) as DateTime ) length From
				(
					Select ALineId as lineid, ALineNum as linenum, 
						TimeAnswer, TimeStop
					From #tempstatistics ts
					Inner Join @lines l on l.lineid = ts.ALineId
	
					Union all
	
					Select BLineId as lineid, BLineNum as linenum, 
						TimeAnswer, TimeStop
					From #tempstatistics ts
					Inner Join @lines l on l.lineid = ts.BLineId
				)a
				Group by lineid, linenum
			)b
				Left join @lines l on b.lineid = l.lineid
		end

	--EStatisticsViewMode.svmByNumber:						
	else if ( @mode = 4 )
		begin
			declare @t table ( nid uniqueidentifier, prefix nvarchar ( 50 ) collate database_default, addrtype int, reactid uniqueidentifier )
			declare @temp table ( id uniqueidentifier, prefix nvarchar ( 50 ) collate database_default, addrtype int, oldrid uniqueidentifier, newrid uniqueidentifier )
				
			Insert Into @t
				Select np.Id, np.Prefix, rr.InnerAddressType, rr.ReactId
				From A_NumberPlan np
					Inner Join A_NumberPlanAction na on na.NumId = np.Id
					Inner Join A_Rules r on na.ExtraId = r.Id
					Inner Join A_RuleRecords rr on rr.RuleId = r.Id


			declare @cnt int
			set @cnt = 0

			while ( @@rowcount > 0 ) and ( @cnt < 10 )
			begin
				Set @cnt = @cnt + 1
	
				/*    @cnt - */
				Insert Into @temp
					Select t.nid, t.prefix, t.addrtype, t.reactid, t1.reactid
					From @t t
						Inner Join @t t1 on t.Reactid = t1.nId
					Where t.ReactId != t.Nid
	
				/*    */
				Delete From @t
					From @temp
				Where nid = id and reactid = oldrid

				/* */
				Insert Into @t ( nid, prefix, addrtype, reactid )
					Select id, prefix, addrtype, newrid From @temp

				/* */
				Delete From @temp	
			end


			declare @lines4 table ( lineid uniqueidentifier )
			insert into @lines4
				Select Id From A_View_ServerLinesAll
	

			Select prefix, 
			( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) H, 
			DatePart ( mi, length ) MI, 
			DatePart ( ss, length ) S, 
			DatePart ( ms, length ) MS,
			cast(( DatePart ( dy, length ) - 1 ) * 24 + DatePart ( hh, length ) as nvarchar(4)) + 
			substring(convert(nvarchar(8),length,108), 3, 6) as Label
			From
			(
				Select prefix, Cast ( sum ( CAST ( TimeStop - TimeAnswer as float ) ) as DateTime ) length
				From
				(
					Select t1.prefix, 0 as InnerAddrType, TimeAnswer, TimeStop
					From #tempstatistics t Inner Join 
						@t t1 on t1.reactid = t.AUserId and t1.addrtype = 0 Inner Join 
						A_Users u on u.id = AUserId

					Union all

					Select t1.prefix, 0 as InnerAddrType, TimeAnswer, TimeStop
					From #tempstatistics t Inner Join 
						@t t1 on t1.reactid = t.BUserId and t1.addrtype = 0 Inner Join 
						A_Users u on u.id = BUserId
	
					Union all

					Select t1.prefix, 1 as InnerAddrType, TimeAnswer, TimeStop
					From #tempstatistics t Inner Join 
						@t t1 on t1.reactid = t.ALineId and t1.addrtype = 1 inner join
						@lines4 l on l.lineid = ALineId

					Union all

					Select t1.prefix, 1 as InnerAddrType, TimeAnswer, TimeStop
					From #tempstatistics t Inner Join 
						@t t1 on t1.reactid = t.BLineId and t1.addrtype = 1 inner join
						@lines4 l on l.lineid = BLineId
				)b
				Group by prefix
			)c

		end
	--EStatisticsViewMode.svmByWeekDay:
	else if ( @mode = 5 )
		begin
			--drop table #tempstatisticsYMDWDdateInt
 			if not exists ( Select * From tempdb..sysobjects where id = object_id('tempdb..#tempstatisticsYMDWDdateInt') )
				Select top 0 1 as WDay, CAST(1 as FLOAT) as Seconds, 1 as count_
				into #tempstatisticsYMDWDdateInt
				From A_Stat_Connections_1x1
			else
				delete From #tempstatisticsYMDWDdateInt

			--select * from #tempstatistics
			
			--   
			insert into #tempstatistics (id, Timestart, Timeanswer, Timestop)
			values		('52E72D9F-A37B-4A42-B3A8-0D764B5E2174', '2011-12-12','2011-12-12','2011-12-12')
			insert into #tempstatistics (id, Timestart, Timeanswer, Timestop)
			values		('52E72D9F-A37B-4A42-B3A8-0D764B5E2174', '2011-12-13','2011-12-13','2011-12-13')
			insert into #tempstatistics (id, Timestart, Timeanswer, Timestop)
			values		('52E72D9F-A37B-4A42-B3A8-0D764B5E2174', '2011-12-14','2011-12-14','2011-12-14')
			insert into #tempstatistics (id, Timestart, Timeanswer, Timestop)
			values		('52E72D9F-A37B-4A42-B3A8-0D764B5E2174', '2011-12-15','2011-12-15','2011-12-15')
			insert into #tempstatistics (id, Timestart, Timeanswer, Timestop)
			values		('52E72D9F-A37B-4A42-B3A8-0D764B5E2174', '2011-12-16','2011-12-16','2011-12-16')
			insert into #tempstatistics (id, Timestart, Timeanswer, Timestop)
			values		('52E72D9F-A37B-4A42-B3A8-0D764B5E2174', '2011-12-17','2011-12-17','2011-12-17')
			insert into #tempstatistics (id, Timestart, Timeanswer, Timestop)
			values		('52E72D9F-A37B-4A42-B3A8-0D764B5E2174', '2011-12-18','2011-12-18','2011-12-18')
			
			insert into #tempstatisticsYMDWDdateInt
				select	(datepart(dw, TimeStart)+5)%7 as WDay, 
						ISNULL(SUM(CAST(TimeStop-TimeAnswer as FLOAT))*86400,0) as Seconds, 
						count(*) as count_ 
				From #tempstatistics
				Group By (datepart(dw, TimeStart)+5)%7
				Order By (datepart(dw, TimeStart)+5)%7
			
			Select WDay, 
			Seconds  as AverageSec,
			(cast(floor(Seconds/3600) as nvarchar (10)))		
			+ ':' + 
			case 
				when floor(Seconds/60) - floor(Seconds/3600)*60 < 10 then ('0'+cast(floor(Seconds/60) - floor((Seconds)/3600)*60 as nvarchar (10)))
				when floor(Seconds/60) - floor(Seconds/3600)*60 >= 10 then (cast(floor(Seconds/60) - floor((Seconds)/3600)*60 as nvarchar (10)))
			end 
			+':'+
			case 
				when floor(Seconds) - floor(Seconds/60)*60 < 10 then ('0'+cast(floor(Seconds) - floor((Seconds)/60)*60 as nvarchar (10)))
				when floor(Seconds) - floor(Seconds/60)*60 >= 10 then (cast(floor(Seconds) - floor((Seconds)/60)*60 as nvarchar (10)))
			end 			
			 as Label
			From #tempstatisticsYMDWDdateInt


			delete From #tempstatisticsYMDWDdateInt
		end

	delete From #tempstatistics

end

GO


